User Lists
List User List Members
Returns the members of a specific list. The sort call always fires before fetching. Requires permission api_user_lists_list_members.
https://public-api.buffmetrics.comGET/v1/{account_id}/user-lists/{list_id}/users
Bearer
Authorization
defaultAuthorizationBearer <token>Send your FansMetric API key as a Bearer token in the Authorization header.
In: header
Path Parameters
account_id*integerOnlyFans numeric account ID.
list_id*integerList ID. Use a system list slug (
fans,following,friends,muted,recent,tagged) or a numeric custom list ID.
Query Parameters
limitintegerDefault 10. Min 1, max 100.
offsetintegerPagination offset.
sort_bystringrecent(default).sort_dirstringascordesc(default).
curl --request GET "https://public-api.buffmetrics.com/v1/acct_XXXXX/user-lists/sample_list_id/users?limit=20&offset=0&sort_by=sample_sort_by" \
--header "Authorization: Bearer YOUR_API_KEY"Response
200{
"data":{
"hasMore":true
"list":[
0:{
"id":1820091
"name":"mayhemjackson"
"username":"jcmayhem"
"displayName":""
"avatar":"https://public.onlyfans.com/.../avatar.jpg"
"avatarThumbs":{
"c50":"https://thumbs.onlyfans.com/.../c50/avatar.jpg"
"c144":"https://thumbs.onlyfans.com/.../c144/avatar.jpg"
}
"header":"https://public.onlyfans.com/.../header.jpg"
"headerSize":{
"width":500
"height":374
}
"headerThumbs":{
"w480":"https://thumbs.onlyfans.com/.../w480/header.jpg"
"w760":"https://thumbs.onlyfans.com/.../w760/header.jpg"
}
"isActive":true
"isBlocked":false
"isRestricted":false
"isVerified":false
"isPerformer":false
"isRealPerformer":false
"isPendingAutoprolong":false
"lastSeen":null
"subscribePrice":0
"currentSubscribePrice":0
"subscribedBy":true
"subscribedByAutoprolong":true
"subscribedByExpire":false
"subscribedByExpireDate":"2035-10-31T11:57:25+00:00"
"subscribedIsExpiredNow":false
"subscribedByData":{
"price":0
"regularPrice":0
"newPrice":0
"subscribePrice":0
"duration":"7 months"
"subscribeAt":"2025-10-14T01:11:43+00:00"
"renewedAt":"2035-10-31T00:00:00+00:00"
"expiredAt":"2035-10-31T11:57:25+00:00"
"discountPercent":0
"discountPeriod":1
"discountStartedAt":null
"discountFinishedAt":null
"hasActivePaidSubscriptions":false
"isMuted":false
"showPostsInFeed":true
"status":null
"unsubscribeReason":"No reason given"
"subscribes":[
0:{
"id":14223525731
"action":"return"
"type":"regular"
"userId":1820091
"subscriberId":523213896
"date":"2025-10-31T11:57:25+00:00"
"startDate":"2025-10-31T11:57:25+00:00"
"expireDate":"2035-10-31T11:57:25+00:00"
"cancelDate":null
"duration":3652
"discount":0
"price":0
"regularPrice":0
"earningId":0
"offerStart":null
"offerEnd":null
"isCurrent":true
}
]
}
"subscribedOn":true
"subscribedOnDuration":"7 months"
"subscribedOnExpiredNow":false
"subscribedOnData":{
"price":0
"regularPrice":0
"newPrice":0
"subscribePrice":0
"duration":"7 months"
"subscribeAt":"2025-10-13T18:45:30+00:00"
"renewedAt":null
"expiredAt":"2036-05-11T00:20:38+00:00"
"lastActivity":"2026-05-11T00:20:38+00:00"
"discountPercent":0
"discountPeriod":1
"discountStartedAt":null
"discountFinishedAt":null
"hasActivePaidSubscriptions":false
"isMuted":false
"status":"Set to Expire"
"messagesSumm":118.4
"postsSumm":0
"tipsSumm":0
"subscribesSumm":0
"streamsSumm":0
"totalSumm":118.4
"recommendations":0
"unsubscribeReason":"No reason given"
"subscribes":[
0:{
"id":14912579866
"action":"return"
"type":"regular"
"userId":523213896
"subscriberId":1820091
"date":"2026-05-11T00:20:38+00:00"
"startDate":"2026-05-11T00:20:38+00:00"
"expireDate":"2036-05-11T00:20:38+00:00"
"cancelDate":null
"duration":3653
"discount":0
"price":0
"regularPrice":0
"earningId":0
"offerStart":null
"offerEnd":null
"isCurrent":true
}
]
}
"listsStates":[
0:{
"id":"fans"
"name":"Fans"
"type":"fans"
"hasUser":true
"canAddUser":false
"cannotAddUserReason":"ALREADY_EXISTS"
}
1:{
"id":"following"
"name":"Following"
"type":"following"
"hasUser":true
"canAddUser":false
"cannotAddUserReason":"ALREADY_EXISTS"
}
2:{
"id":"friends"
"name":"Friends"
"type":"friends"
"hasUser":false
"canAddUser":false
"cannotAddUserReason":"USER_NOT_PERFORMER"
}
3:{
"id":"muted"
"name":"Muted"
"type":"muted"
"hasUser":false
"canAddUser":true
"cannotAddUserReason":null
}
4:{
"id":"recent"
"name":"Recent (last 24 hours)"
"type":"recent"
"hasUser":false
"canAddUser":false
"cannotAddUserReason":"SYSTEM_LIST"
}
5:{
"id":"tagged"
"name":"Tagged"
"type":"tagged"
"hasUser":false
"canAddUser":false
"cannotAddUserReason":"SYSTEM_LIST"
}
6:{
"id":"1252268925"
"name":"$100+ spenders"
"type":"custom"
"hasUser":true
"canAddUser":false
"cannotAddUserReason":"ALREADY_EXISTS"
}
]
"canAddSubscriber":false
"canCommentStory":true
"canLookStory":true
"canPayInternal":true
"canReceiveChatMessage":true
"canReport":true
"canRestrict":true
"canTrialSend":false
"canUnsubscribe":true
"canEarn":false
"hideChat":false
"hasStories":false
"hasStream":false
"hasScheduledStream":false
"hasNotViewedStory":false
"tipsEnabled":false
"tipsMin":5
"tipsMax":200
"tipsMinInternal":1
"tipsTextEnabled":true
"promoOffers":[]
"notice":""
"view":"x"
}
]
"nextOffset":12
}
"_pagination":{
"next_page":"/v1/{account_id}/user-lists/{list_id}/users?limit=10&offset=10"
}
"_meta":{
"_credits":{
"used":1
}
"_rate_limits":{
"limit_minute":1000
"remaining_minute":999
"limit_day":50000
"remaining_day":49999
}
}
}